### Method

# AppStreamCompose Compose set_image_format

since: 1.2.0

#### Declaration [src]

    void
    asc_compose_set_image_format (
      AscCompose* compose,
      AscImageFormat format
    )

#### Description [src]

Set the file format that generated icons and screenshots should be stored in. We only support `ASC_IMAGE_FORMAT_JXL` (the default) and `ASC_IMAGE_FORMAT_PNG` here, any other format is rejected.

Please note that JPEG-XL images can not be read by older AppStream clients, so PNG may be selected for backwards compatibility.

Available since: 1.2.0

#### Parameters

`format`

  Type: `AscImageFormat`

  The image format, e.g. `ASC_IMAGE_FORMAT_JXL`.